function regform_onsubmit() 
{
if(checkspace(document.regform.user_name.value)) {
	document.regform.user_name.focus();
    alert("用户名不能为空，请重新输入！");
	return false;
   }
else if(checkspace(document.regform.user_name.value) || document.regform.user_name.value.length < 2) {
	document.regform.user_name.focus();
    alert("用户名长度不能小于2，请重新输入！");
	return false;
  }
else if(checkspace(document.regform.user_pass.value) || document.regform.user_pass.value.length < 6) {
	document.regform.user_pass.focus();
    alert("密码长度不能小于6，请重新输入！");
	return false;
  }
else if(document.regform.user_pass.value != document.regform.user_pass2.value) {
	document.regform.user_pass.focus();
	document.regform.user_pass.value = '';
	document.regform.user_pass2.value = '';
    alert("两次输入的密码不同，请重新输入！");
	return false;
  }

else if(document.regform.user_mail.value.length!=0)
  {
    if (document.regform.user_mail.value.charAt(0)=="." ||        
         document.regform.user_mail.value.charAt(0)=="@"||       
         document.regform.user_mail.value.indexOf('@', 0) == -1 || 
         document.regform.user_mail.value.indexOf('.', 0) == -1 || 
         document.regform.user_mail.value.lastIndexOf("@")==document.regform.user_mail.value.length-1 || 
         document.regform.user_mail.value.lastIndexOf(".")==document.regform.user_mail.value.length-1)
     {
      alert("Email地址格式不正确！");
      document.regform.user_mail.focus();
      return false;
      }
   }
 else
  {
   alert("Email不能为空！");
   document.regform.user_mail.focus();
   return false;
   }	 	 
}

function checkspace(checkstr) {
  var str = '';
  for(i = 0; i < checkstr.length; i++) {
    str = str + ' ';
  }
  return (str == checkstr);
}